﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{4C2FD183-E404-471E-9049-7D1DF052EA53}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EPPW</RootNamespace>
    <AssemblyName>EPPW.Core</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\..\bin\main\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\lib\SliverAnt\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\lib\Newtonsoft.Json\Newtonsoft.Json6.0.1\net40\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Sliverant.Core, Version=1.0.0.2, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\lib\Sliverant\Sliverant.Core.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Management" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Collections\SimpleDto.cs" />
    <Compile Include="Collections\NameValueList.cs" />
    <Compile Include="Collections\XmlHelper.cs" />
    <Compile Include="FileMng\Dto\FileDto.cs" />
    <Compile Include="FileMng\Service\IFileService.cs" />
    <Compile Include="HomeMng\Service\IHomeService.cs" />
    <Compile Include="Membership\Dto\DtoStatus.cs" />
    <Compile Include="Membership\Dto\ProgramDto.cs" />
    <Compile Include="Membership\Dto\ProgramForWebDto.cs" />
    <Compile Include="Membership\Dto\ProgramMenuDto.cs" />
    <Compile Include="Membership\Dto\RoleDto.cs" />
    <Compile Include="Membership\Dto\UserDto.cs" />
    <Compile Include="Membership\Service\ILoginService.cs" />
    <Compile Include="Membership\Service\IProgramMenuService.cs" />
    <Compile Include="Membership\Service\IProgramService.cs" />
    <Compile Include="Membership\Service\IRoleService.cs" />
    <Compile Include="Membership\Service\IUserService.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SampleMng\Dto\SampleDto.cs" />
    <Compile Include="SampleMng\Service\ISampleService.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="FileMng\Domain\" />
    <Folder Include="SampleMng\Domain\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy "$(TargetFileName)" "$(TargetDir).."</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>